This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477796 - Can create multiple hw pools with the same name inside one parent
Can create multiple hw pools with the same name inside one parent
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: ovirt-server-suite (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 14:06 EST by David Lutterkort
Modified: 2014-07-06 15:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-21 13:19:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2008-12-23 14:06:04 EST
Description of problem:

It is possible to create multiple HW pools with teh same name in the same place in the tree.

How reproducible:

Click on the 'default' HW pool, create a new subpool called 'mypool'. Repeat at least once more

Expected result:

The second and further attempts to create a pool with an existing name inside one pool is rejected.
Comment 1 Jia Dong 2009-01-21 02:09:31 EST
It also exists in version 0.96.
Comment 2 Scott Seago 2009-05-22 12:43:29 EDT
We already had the validation rule in place, but the way the betternestedset API sets the parent_id the rules were being bypassed. Fixed in the linked patch:

https://www.redhat.com/archives/ovirt-devel/2009-May/msg00193.html

Note You need to log in before you can comment on or make changes to this bug.